mapArrows {oce} | R Documentation

## Plot arrows on a existing map

### Description

Plot arrows on an existing map, e.g. to indicate a place location. This is not well-suited for drawing direction fields, e.g. of velocities; for that, see `mapDirectionField`.

### Usage

    mapArrows(longitude0, latitude0,
                          longitude1=longitude0, latitude1=latitude0,
                          length=0.25, angle=30,
                          code=2, col=par("fg"), lty=par("lty"),
                          lwd=par("lwd"), ...)

### Arguments

`longitude0, latitude0` | starting points for arrows
`longitude1, latitude1` | ending points for arrows
`length` | length of the arrow heads, passed to `arrows`
`angle` | angle of the arrow heads, passed to `arrows`
`code` | numerical code indicating the type of arrows, passed to `arrows`
`col` | arrow colour, passed to `arrows`
`lty` | arrow line type, passed to `arrows`
`lwd` | arrow line width, passed to `arrows`
`...` | optional arguments passed to `arrows`

### Details

Adds arrows to an existing map, by analogy to `arrows`.

### Author(s)

Dan Kelley

### See Also

See `mapPlot` for general information on plotting maps, including other functions.

### Examples

    ## Not run:
    library(oce)
    data(coastlineWorld)
    mapPlot(coastlineWorld, longitudelim=c(-130,-55), latitudelim=c(35,60),
            proj="lambert", parameters=c(lat0=40,lat1=60),
            orientation=c(90,-100,0))
    lon <- seq(-120, -75, 15)
    n <- length(lon)
    lat <- 45 + rep(0, n)
    # Draw meridional arrows in N America, from 45N to 60N.
    mapArrows(lon, lat, lon, lat+15, length=0.05, col="blue")

    ## End(Not run)

[Package oce version 0.9-18 Index]